# MySQL dump 4.0
#
# Host: localhost    Database: jobs_dbase
#--------------------------------------------------------

#
# Table structure for table 'admin'
#
CREATE TABLE admin (
  username varchar(25),
  level int(11)
);

#
# Table structure for table 'client'
#
CREATE TABLE client (
  recordno int(11) DEFAULT '0' NOT NULL auto_increment,
  name varchar(150),
  po_box varchar(25),
  street varchar(50),
  suburb varchar(50),
  city varchar(50),
  phone varchar(20),
  fax varchar(20),
  url1 varchar(100),
  url2 varchar(100),
  url3 varchar(100),
  url4 varchar(100),
  c1name varchar(50),
  c1email varchar(50),
  c1phone varchar(20),
  c1altphone varchar(20),
  c2name varchar(50),
  c2email varchar(50),
  c2phone varchar(20),
  c2altphone varchar(20),
  maillist tinyint(4),
  createdate date,
  moddate date,
  PRIMARY KEY (recordno)
);

#
# Table structure for table 'clientproj'
#
CREATE TABLE clientproj (
  clientname varchar(150),
  project varchar(50)
);

#
# Table structure for table 'customjob'
#
CREATE TABLE customjob (
  user varchar(127),
  jobno int(11)
);

#
# Table structure for table 'hours'
#
CREATE TABLE hours (
  recordno int(11) DEFAULT '0' NOT NULL auto_increment,
  jobno int(11) DEFAULT '0' NOT NULL,
  workdate date DEFAULT '0000-00-00' NOT NULL,
  username varchar(127) DEFAULT '' NOT NULL,
  description varchar(255),
  code varchar(127) DEFAULT '' NOT NULL,
  hours float(10,2),
  notes blob,
  invoiced tinyint(4),
  PRIMARY KEY (recordno)
);

#
# Table structure for table 'jobcodes'
#
CREATE TABLE jobcodes (
  recordno int(11) DEFAULT '0' NOT NULL auto_increment,
  code varchar(127) DEFAULT '' NOT NULL,
  description varchar(127),
  PRIMARY KEY (recordno)
);

#
# Dumping data for table 'jobcodes'
#

INSERT INTO jobcodes VALUES (1,'rate1','rate1');
INSERT INTO jobcodes VALUES (2,'rate2','rate2');
INSERT INTO jobcodes VALUES (3,'rate3','rate3');
INSERT INTO jobcodes VALUES (4,'rate4','rate4');
INSERT INTO jobcodes VALUES (5,'rate5','rate5');

#
# Table structure for table 'jobs'
#
CREATE TABLE jobs (
  recordno int(11) DEFAULT '0' NOT NULL auto_increment,
  jobno int(11) DEFAULT '0' NOT NULL,
  jobcode varchar(10) DEFAULT '' NOT NULL,
  description varchar(255) DEFAULT '' NOT NULL,
  active tinyint(4) DEFAULT '0' NOT NULL,
  openedby varchar(10) DEFAULT '' NOT NULL,
  dateopened date DEFAULT '0000-00-00' NOT NULL,
  estimated float(10,2),
  invoiced float(10,2),
  project varchar(50),
  dateinvoiced date,
  notes blob,
  PRIMARY KEY (recordno)
);

#
# Table structure for table 'pay'
#
CREATE TABLE pay (
  user varchar(50),
  date_paid date,
  start date,
  end date,
  paye float(10,2),
  gross float(10,2),
  net float(10,2),
  loan float(10,2)
);

#
# Table structure for table 'project'
#
CREATE TABLE project (
  name varchar(15),
  quote1 varchar(100),
  quote2 varchar(100),
  quote3 varchar(100),
  notes varchar(255),
  openedby varchar(25),
  projectno int(3) DEFAULT '0' NOT NULL auto_increment,
  PRIMARY KEY (projectno)
);

#
# Table structure for table 'staff'
#
CREATE TABLE staff (
  recordno int(11) DEFAULT '0' NOT NULL auto_increment,
  firstname varchar(127) DEFAULT '' NOT NULL,
  lastname varchar(127) DEFAULT '' NOT NULL,
  username varchar(127),
  phone1 varchar(20),
  phone2 varchar(20),
  address varchar(100),
  fax varchar(20),
  irdnum varchar(15),
  startdate date,
  taxcode varchar(5),
  nextofkin blob,
  jobtitle varchar(150),
  payrate float(7,2),
  active int(11),
  email varchar(100),
  PRIMARY KEY (recordno)
);

#
# Table structure for table 'todo'
#
CREATE TABLE todo (
  Idno int(11),
  username varchar(25),
  item varchar(100),
  description blob,
  dateadded datetime,
  addedby varchar(25)
);

